package com.rjconsultores.ventaboletos.web.utilerias.render;

import org.zkoss.zul.Listcell;
import org.zkoss.zul.Listitem;
import org.zkoss.zul.ListitemRenderer;

import com.rjconsultores.ventaboletos.vo.esquemaoperacional.TaxaEmbarqueW2i;

public class RenderEstoqueTaxaDeEmbarqueW2i implements ListitemRenderer {

    public void render(Listitem lstm, Object o) throws Exception {
    	TaxaEmbarqueW2i estoque = (TaxaEmbarqueW2i) o;

        Listcell lc = new Listcell();

        lc = new Listcell(estoque.getTaxpolc_id() + "");
        lc.setParent(lstm);
        
        lc = new Listcell(estoque.getCveParada());
        lc.setParent(lstm);

        lc = new Listcell(estoque.getNomeEmpresa());
        lc.setParent(lstm);
        
        lc = new Listcell(estoque.getCategoria());
        lc.setParent(lstm);
        
        lc = new Listcell(estoque.getOrgaoConcedente());
        lc.setParent(lstm);

        lc = new Listcell(estoque.getKm() + "");
        lc.setParent(lstm);

        lc = new Listcell(estoque.getQuantidadeEstoque() + "");
        lc.setParent(lstm);

        lstm.setAttribute("data", estoque);
    }
}
